org.eclipse.swt.widgets

## Class TabItem

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Item
    - - org.eclipse.swt.widgets.TabItem

All Implemented Interfaces:
  Adaptable

    public class TabItem
    extends Item

Instances of this class represent a selectable user interface object corresponding to a tab for a page in a tab folder.

Styles:
  (none)
Events:
  (none)

IMPORTANT: This class is not intended to be subclassed.

### Constructor Summary

Constructors
Constructor and Description
`TabItem(TabFolder parent, int style)` Constructs a new instance of this class given its parent (which must be a `TabFolder`) and a style value describing its behavior and appearance.
`TabItem(TabFolder parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `TabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

### Method Summary

Methods
`<T> T` `getAdapter(java.lang.Class<T> adapter)` Implementation of the `Adaptable` interface.
`Rectangle` `getBounds()` Returns a rectangle describing the receiver's size and location relative to its parent.
`Control` `getControl()` Returns the control that is used to fill the client area of the tab folder when the user selects the tab item.
`TabFolder` `getParent()` Returns the receiver's parent, which must be a `TabFolder`.
`java.lang.String` `getToolTipText()` Returns the receiver's tool tip text, or null if it has not been set.
`void` `setControl(Control control)` Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.
`void` `setData(java.lang.String key, java.lang.Object value)` Sets the application defined property of the receiver with the specified name to the given value.
`void` `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` `setToolTipText(java.lang.String toolTipText)` Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

### Methods inherited from class org.eclipse.swt.widgets.Item

`getImage, getText, setText`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkSubclass, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TabItem

    public TabItem(TabFolder parent,
           int style)

Constructs a new instance of this class given its parent (which must be a `TabFolder`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT`, `Widget.checkSubclass()`, `Widget.getStyle()`

#### TabItem

    public TabItem(TabFolder parent,
           int style,
           int index)

Constructs a new instance of this class given its parent (which must be a `TabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a composite control which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
  `index` - the zero-relative index to store the receiver in its parent
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  - ERROR_INVALID_RANGE - if the index is not between 0 and the number of elements in the parent (inclusive)
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
  - ERROR_INVALID_SUBCLASS - if this class is not an allowed subclass
See Also:
  `SWT`, `Widget.checkSubclass()`, `Widget.getStyle()`

### Method Detail

#### getParent

    public TabFolder getParent()

Returns the receiver's parent, which must be a `TabFolder`.

Returns:
  the receiver's parent
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getControl

    public Control getControl()

Returns the control that is used to fill the client area of the tab folder when the user selects the tab item. If no control has been set, return `null`.

Returns:
  the control
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### setControl

    public void setControl(Control control)

Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.

Parameters:
  `control` - the new control (or null)
Throws:
  `java.lang.IllegalArgumentException` -
  - ERROR_INVALID_ARGUMENT - if the control has been disposed
  - ERROR_INVALID_PARENT - if the control is not in the same widget tree
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

#### getBounds

    public Rectangle getBounds()

Returns a rectangle describing the receiver's size and location relative to its parent.

Returns:
  the receiver's bounding rectangle
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
Since:
  1.3

#### setImage

    public void setImage(Image image)

Description copied from class: `Item`
Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

Overrides:
  `setImage` in class `Item`
Parameters:
  `image` - the image to display on the receiver (may be null)

#### setToolTipText

    public void setToolTipText(java.lang.String toolTipText)

Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

Parameters:
  `toolTipText` - the new tool tip text (or null)
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
Since:
  1.2

#### getToolTipText

    public java.lang.String getToolTipText()

Returns the receiver's tool tip text, or null if it has not been set.

Returns:
  the receiver's tool tip text
Throws:
  `SWTException` -
  - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
Since:
  1.2

#### setData

    public void setData(java.lang.String key,
               java.lang.Object value)

Description copied from class: `Widget`
Sets the application defined property of the receiver with the specified name to the given value.

Applications may associate arbitrary objects with the receiver in this fashion. If the objects stored in the properties need to be notified when the widget is disposed of, it is the application's responsibility to hook the Dispose event on the widget and do so.

Overrides:
  `setData` in class `Widget`
Parameters:
  `key` - the name of the property
  `value` - the new value for the property
See Also:
  `Widget.getData(String)`

#### getAdapter

    public <T> T getAdapter(java.lang.Class<T> adapter)

Description copied from class: `Widget`
Implementation of the `Adaptable` interface.

IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Specified by:
  `getAdapter` in interface `Adaptable`
Overrides:
  `getAdapter` in class `Widget`
Parameters:
  `adapter` - the lookup class
Returns:
  an object that can be cast to the given class or `null` if there is no adapter associated with the given class.

Copyright (c) EclipseSource and others 2002, 2018. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0